RTH 4 e FlyWithLua 2 con XP 10.51 non vanno…?

Discussioni riguardo creazione, customizzazione e utilizzo di velivoli e livree

Moderatori: Moderatori, Admins

RTH 4 e FlyWithLua 2 con XP 10.51 non vanno…?

Messaggioda Cekko » 12/12/2017, 13:11

Ho scritto ieri nel thread apposito ("Real Terra Haze 4.0b1"), ma probabilmente il mio post di domanda non è stato notato.
Con X-Plane 10.51, non sono riuscito a far funzionare correttamente Real Terra Haze v4, mentre tutto andava benone in X-Plane 10.36. Ho installato FlyWithLUA come richiesto, ma poi gli scripts di RTH messi nelle cartelle di FwL non danno risultati. Anzi, in realtà danno errori LUA di vario tipo, al punto che alla lunga, l'unica soluzione attuabile per me è stata disattivare FWL in blocco direttamente dal menù Plugins.
Qualcuno riesce a darmi informazioni in merito alla corretta installazione? Sia sull'ORG che qui, non ho trovato soluzioni o spiegazioni utili. Chiaramente mi sta sfuggendo qualcosa… :/ :dontknow: :violent1:
Grazie. :notworthy:
Conoscere i bambini è come conoscere i gatti. Chi non ama i gatti non ama i bambini e non li capisce.
Bruno Munari


iMac 27” (Retina 5K 2017) • Intel Core i7 Quad 4.2 GHz • Radeon Pro 580 — 8 Gb • 40 Gb SDRAM • FD 3 Tb • macOS Sierra
iMac 27” (Mid 2011) • Intel Core i7 Quad 3.4 GHz • AMD Radeon HD 6970M — 2 Gb • 16 Gb SDRAM • SSD 500 Gb/SSHD 2 Tb • macOS Sierra
Saitek Cyborg FLY 5 & Pro Flight Rudder Pedals & Throttle Quadrant • TrackIR v5-LinuxTrack • X-Plane 10 & 11
Avatar utente
Cekko

Comandante Anziano
 
Messaggi: 16834
Iscritto il: 18/12/2004, 17:04
Località: Firenze Sud (ma sempre LIRQ!)
Ha ringraziato: 119 volte
Stato ringraziato: 200 volte

Re: RTH 4 e FlyWithLua 2 con XP 10.51 non vanno…?

Messaggioda Massimo68 » 12/12/2017, 14:27

premesso che è una vita che non uso più XP10 e quindi ho abbandonato RTH ...
potrebbe dipendere dalla versione di FWL che stai usando ... le ultime release sono sdoppiate: core Edition e Complete Edition ...
per far girare script (come RTH) che usano dataref privati, serve assolutamente la Complete Edition ...

e visto che non hai allegato il log (in ginocchio sui ceci e frustate sui denti, visto che sei pure mod! :twisted: :twisted: :twisted: ), non si può sapere ... :ras:
/Massimo

HW
PC Sviluppo: Asus Zenbook - i7 6700HQ, 16 GB RAM, Nvidia 960M 2GB
PC di volo: i7-8700K, 64 GB RAM, Nvidia GTX 1080T1 11GB, 2x SSDm.2 960GB, 2xSSD 240GB 1xSSD 480GB, Monitor Asus 21:9 34" + Asus 23", Saitek Pro Flight Yoke, VirtualFly TQ6, Saitek Switch Radio & Multi Panel, Pro Rudder Pedals più uno scatobutton autocostruito con millemila interruttori

SW
Windows 10 64bit, Xplane 11 (no betas)
Avatar utente
Massimo68

Moderatore
 
Messaggi: 2195
Iscritto il: 15/09/2011, 13:32
Località: Roma
Ha ringraziato: 63 volte
Stato ringraziato: 110 volte

Re: RTH 4 e FlyWithLua 2 con XP 10.51 non vanno…?

Messaggioda paolozamp » 12/12/2017, 15:31

Non vorrei dire una sciocchezza.... ma mi sembra di aver letto che da quella release in su non funzioni piu'
Qui trovi piu' info
https://forums.x-plane.org/index.php?/f ... thlua-rth/
Happy Landings!
_________________________________________________________________________

Asus Sabertooth Z97Mark2 - RAM 32Gb 1.6GHz - GeForce GTX1060 6Gb - IntelCorei7-4790 3.6GHz
2XSSD Monitor Dell 27"+Samsung 23" SaitekX52+Flight Rudder Pedals
Windows10Pro64Bit - X-Plane11.xx64Bit

Due cose da ricordare:
- I manuali sono fatti per essere letti! RTFM!
- Sugli scenari dobbiamo volarci sopra e non passeggiarci dentro!
Ma...dopotutto...domani e' un altro giorno!..........
Avatar utente
paolozamp

Comandante
 
Messaggi: 4579
Iscritto il: 07/10/2012, 8:39
Località: Udine/Tarvisio
Ha ringraziato: 83 volte
Stato ringraziato: 456 volte

Re: RTH 4 e FlyWithLua 2 con XP 10.51 non vanno…?

Messaggioda Pippovolo » 12/12/2017, 22:14

Io ho risolto grazie a questo thread sull'.org

https://forums.x-plane.org/index.php?/f ... nt-1050165
iMac 27 pollici, fine 2009, Processore 3,06 Ghz Intel Core 2 Duo, Memoria 12 GB 1067 MHz DDR3, Grafica ATI Radeon HD 4670 256 MB, Software Mac OS X Lion 10.7.4
Acer predator geforce 3600 metà 2011 i5 8gb RAM ddr3 acer geforce gt440 win 7 64bit
saitek x52 pro x-plane 9.70 e 10.sempre aggiornata
I-pad 2 con air track
Trackir 5 con track clip pro
Avatar utente
Pippovolo

Comandante
 
Messaggi: 843
Iscritto il: 09/08/2010, 13:30
Località: padova (lipu)
Ha ringraziato: 7 volte
Stato ringraziato: 7 volte

Re: RTH 4 e FlyWithLua 2 con XP 10.51 non vanno…?

Messaggioda Cekko » 13/12/2017, 4:53

Massimo68 ha scritto:…e visto che non hai allegato il log (in ginocchio sui ceci e frustate sui denti, visto che sei pure mod! :twisted: :twisted: :twisted: ), non si può sapere ... :ras:

Grazie Max. Hai ragionissima, e lo so bene: l'avrei fatto, ma sicuro che non mi avrebbe cagato nessuno ho preferito aspettare… Posso liberamente proporre il log, tranqui. :angel4: :wink:

Per inciso, alla pagina dell'ORG da cui si scarica FWL, che poi è proprio quella che viene segnalata sulla pagina di RTH 4 sempre all'ORG… non ho notato due versioni differenti. Ci sono link diversi, forse, per le due versioni (CORE e COMPLETE)?
Senza voler fare il palloso criticone, ma, mi domando, come mai la pagina ufficiale di RTH segnala di scaricare un FWL che poi però… non va bene? Ho capito male io? Non sarebbe il caso che qualcuno la aggiornasse? Andrebbe detto agli autori/autore, forse… :/
Oppure son l'unico bischero che ancora usa X-Plane 10? :oops:

Per il resto, ringrazio tutti, darò un'occhio domani, con calma. :notworthy:
Conoscere i bambini è come conoscere i gatti. Chi non ama i gatti non ama i bambini e non li capisce.
Bruno Munari


iMac 27” (Retina 5K 2017) • Intel Core i7 Quad 4.2 GHz • Radeon Pro 580 — 8 Gb • 40 Gb SDRAM • FD 3 Tb • macOS Sierra
iMac 27” (Mid 2011) • Intel Core i7 Quad 3.4 GHz • AMD Radeon HD 6970M — 2 Gb • 16 Gb SDRAM • SSD 500 Gb/SSHD 2 Tb • macOS Sierra
Saitek Cyborg FLY 5 & Pro Flight Rudder Pedals & Throttle Quadrant • TrackIR v5-LinuxTrack • X-Plane 10 & 11
Avatar utente
Cekko

Comandante Anziano
 
Messaggi: 16834
Iscritto il: 18/12/2004, 17:04
Località: Firenze Sud (ma sempre LIRQ!)
Ha ringraziato: 119 volte
Stato ringraziato: 200 volte

Re: RTH 4 e FlyWithLua 2 con XP 10.51 non vanno…?

Messaggioda Massimo68 » 13/12/2017, 9:35

adesso mi ricordo che era cambiato un dataref privato e bisognafa fare una modifica ...

però di sicuro se hai scaricato una versione FWL recente, potresti anche essere incappato nella limitazione introdotta dall'autore che impedisce di usare dataref privati (a meno di non usare la Complete Edition) ...

quindi potrebbe essere una combinazione di fattori che sicuramente traspare dal Log.txt (bischerello che non l'hai allegato ... :))
/Massimo

HW
PC Sviluppo: Asus Zenbook - i7 6700HQ, 16 GB RAM, Nvidia 960M 2GB
PC di volo: i7-8700K, 64 GB RAM, Nvidia GTX 1080T1 11GB, 2x SSDm.2 960GB, 2xSSD 240GB 1xSSD 480GB, Monitor Asus 21:9 34" + Asus 23", Saitek Pro Flight Yoke, VirtualFly TQ6, Saitek Switch Radio & Multi Panel, Pro Rudder Pedals più uno scatobutton autocostruito con millemila interruttori

SW
Windows 10 64bit, Xplane 11 (no betas)
Avatar utente
Massimo68

Moderatore
 
Messaggi: 2195
Iscritto il: 15/09/2011, 13:32
Località: Roma
Ha ringraziato: 63 volte
Stato ringraziato: 110 volte

Re: RTH 4 e FlyWithLua 2 con XP 10.51 non vanno…?

Messaggioda Cekko » 13/12/2017, 13:45

Il punto è che il LOG contiene tutti gli sfaceli dovuti al rimettere in sesto il simulatore, dopo due anni e tot mesi che non veniva usato. Non solo è colpa della mia memoria BIO malfunzionante, ma anche del fatto che passare dalla v10.36 alla v10.51 ha ovviamente comportato modifiche tali da rendermi la cosa assai più complicata di quanto mi sarei mai potuto immaginare.

E comunque… sì, FWL denuncia un DataRef privato e al riguardo di QUESTO problema si incasina proprio lì (poi si incasina anche in altri millemila posti, ovviamente). Cercherò di "ripulire" un po' il tutto e poi posterò il LOG lindo ASAP.

Non avevo certo la pretesa (anche se la speranza sì, quella ce l'avevo!) che i plugins continuassero indomiti a funzionare bene, in un salto di versione del genere, però è anche vero che, come ho già detto, RTH non ha un manuale se non un PDF relativo a versione 3.0 che mi pare sia vetusta, e le info anche sul thread originale all'ORG sono discordanti. Se sia necessario usare una versione diversa di FWL, tanto vale che lo si dica, no?
Se sia necessario l'uso della COMPLETE EDITION anziché della CORE EDITION di FWL, sarebbe utile che l'autore lo dicesse, nella pagina ufficiale di RTH sempre sull'ORG, a mio avviso.

La complete edition è rintracciabile sull'ORG a QUESTA PAGINA. È comunque fuorviante, dato che si parla di “edizione per X-Plane 11”, e solo dopo si parla del fatto che sia possibilmente utilizzabile anche sulla v10.x del sim. O comunque ci si arriva per logica, dato che non è espressamente scritto che essendo una versione per XP11 essa non sia poi anche utilizzabile per XP10. Così mi pare di aver capito da una veloce lettura.

Il LOG come detto, contiene tutti i malfunzionamenti possibili immaginabili del pianeta, e sarà mia cura mettermi a sistemarli. Mi son poi acorto che lo stick Saitek Fly 5, dopo due anni sotto la polvere, non funzionava bene, quindi monta-smonta-rimonta col suo gemello (che ha uno switch rotto), dal che derivano casini immani anche per questo, nel LOG. E via discorrendo, con tutto ciò che non va, ivi compresi FLOWS dello scenario di Firenze LIRQ che dovrò sistemare, ora che saranno usciti tool come il WED che presumo funzionino meglio di quelli che avevo usato io l'ultima volta.

Insomma, non è poi mica tanto facile far funzionare un sim così complesso anche già solo nella parte del set-up, eh? :wall:

Grazie. ;)

PS: Com'è che hai scritto che "premesso che è una vita che non uso più XP10 e quindi ho abbandonato RTH"? A dire cosa? Che usi XP11, ormai? Ma poi… perché? XP11 non necessita forse più di RTH? :dontknow:
Io farò il salto, ma solo dopo aver ripreso la mano con tutto ciò che già ho, per cui mi metto sotto, piano piano, fino a far fungere bene la v10.51, dopodiché passerò alla versione più recente anche io. Presumo… :angel4:
Conoscere i bambini è come conoscere i gatti. Chi non ama i gatti non ama i bambini e non li capisce.
Bruno Munari


iMac 27” (Retina 5K 2017) • Intel Core i7 Quad 4.2 GHz • Radeon Pro 580 — 8 Gb • 40 Gb SDRAM • FD 3 Tb • macOS Sierra
iMac 27” (Mid 2011) • Intel Core i7 Quad 3.4 GHz • AMD Radeon HD 6970M — 2 Gb • 16 Gb SDRAM • SSD 500 Gb/SSHD 2 Tb • macOS Sierra
Saitek Cyborg FLY 5 & Pro Flight Rudder Pedals & Throttle Quadrant • TrackIR v5-LinuxTrack • X-Plane 10 & 11
Avatar utente
Cekko

Comandante Anziano
 
Messaggi: 16834
Iscritto il: 18/12/2004, 17:04
Località: Firenze Sud (ma sempre LIRQ!)
Ha ringraziato: 119 volte
Stato ringraziato: 200 volte

Re: RTH 4 e FlyWithLua 2 con XP 10.51 non vanno…?

Messaggioda Massimo68 » 13/12/2017, 18:15

beh, l’autore di RTH è sparito dai forum ben prima di xp11 e delle recenti versioni di fwl e relative limitazioni sui dataref privati ...

per xp11 RTH non funziona/non si usa più
/Massimo

HW
PC Sviluppo: Asus Zenbook - i7 6700HQ, 16 GB RAM, Nvidia 960M 2GB
PC di volo: i7-8700K, 64 GB RAM, Nvidia GTX 1080T1 11GB, 2x SSDm.2 960GB, 2xSSD 240GB 1xSSD 480GB, Monitor Asus 21:9 34" + Asus 23", Saitek Pro Flight Yoke, VirtualFly TQ6, Saitek Switch Radio & Multi Panel, Pro Rudder Pedals più uno scatobutton autocostruito con millemila interruttori

SW
Windows 10 64bit, Xplane 11 (no betas)
Avatar utente
Massimo68

Moderatore
 
Messaggi: 2195
Iscritto il: 15/09/2011, 13:32
Località: Roma
Ha ringraziato: 63 volte
Stato ringraziato: 110 volte

Re: RTH 4 e FlyWithLua 2 con XP 10.51 non vanno…?

Messaggioda adler58 » 16/12/2017, 7:59

Caro Cekko,
per limiti del mio hardware sono rimasto fermo a X-Plane 10.51, e non utilizzo ancora XP11.

Quanto a RTH, anche di questo ho una versione vecchia, la 3.0
Su XP 10.51 mi funziona bene, in abbinamento a un FlyWithLua che dovrebbe essere (ma non ne sono certo) la versione 2.2

Ad ogni modo, allego la mia intera cartella FlyWithLua zippata, dentro c'è anche RTH 3 con i miei settaggi. Non è l'ultima versione, ma funziona e a me basta ;)
Link: https://www.dropbox.com/s/7hwb63f065hlg ... r.zip?dl=0

Prova, spero che funzioni anche a te ;)
(a meno che tu abbia già risolto e sia riuscito a installare l'ultima versione)
ImmagineImmagineImmagine


Acer Aspire V3 notebook 17", Intel i7-3632QM 2.2-3.2 GHz, Ram 8Gb, Geforce 710M Vram 2Gb, Windows 8.1, X-Plane 10.51
OT: Segnalo a chi ama l'arte la nostra rivista/blog online Arte nella Vita http://artenellavita.blogspot.com/
Avatar utente
adler58

Comandante
 
Messaggi: 2472
Iscritto il: 01/12/2011, 20:07
Ha ringraziato: 372 volte
Stato ringraziato: 218 volte

Re: RTH 4 e FlyWithLua 2 con XP 10.51 non vanno…?

Messaggioda Cekko » 20/12/2017, 13:30

Oh, ecco, grazie Adler. Era proprio quel che avrei voluto provare: la v3 di RTH insieme a FWL. Sono rimasto a peracotta, dato che alla fine io ho preso la mia bella v10.36 di XP dove funzionava TUTTO PERFETTAMENTE e l'ho aggiornata alla 10.51, pertanto, mi sarei aspettato che RTH e FWL continuassero a funzionare senza problemi. E invece, diversamente che a te… non è successo. Boh? Comunque, appena mi fermo un attimo, ci provo. Mi dai comunque conferma che l'idea che ho avuto potrebbe funzionare. Tanto meglio! :punk: :thumbleft: :grin:

P: Sì, confermo che attualmente FWL (versione CORE, quella che ho installata) sia alla v2.4.4b. La COMPLETE invece è alla v2.6.5, ma non l'ho (ancora) installata.
Grazzissime. :notworthy:
Conoscere i bambini è come conoscere i gatti. Chi non ama i gatti non ama i bambini e non li capisce.
Bruno Munari


iMac 27” (Retina 5K 2017) • Intel Core i7 Quad 4.2 GHz • Radeon Pro 580 — 8 Gb • 40 Gb SDRAM • FD 3 Tb • macOS Sierra
iMac 27” (Mid 2011) • Intel Core i7 Quad 3.4 GHz • AMD Radeon HD 6970M — 2 Gb • 16 Gb SDRAM • SSD 500 Gb/SSHD 2 Tb • macOS Sierra
Saitek Cyborg FLY 5 & Pro Flight Rudder Pedals & Throttle Quadrant • TrackIR v5-LinuxTrack • X-Plane 10 & 11
Avatar utente
Cekko

Comandante Anziano
 
Messaggi: 16834
Iscritto il: 18/12/2004, 17:04
Località: Firenze Sud (ma sempre LIRQ!)
Ha ringraziato: 119 volte
Stato ringraziato: 200 volte

Re: RTH 4 e FlyWithLua 2 con XP 10.51 non vanno…?

Messaggioda adler58 » 20/12/2017, 14:02

Prova a "trapiantare" la mia cartella FliWithLua comprensiva di Rth 3.0 nella tua cartella plugins sostituendo la tua, dovrEBBE funzionare come funziona a me
ImmagineImmagineImmagine


Acer Aspire V3 notebook 17", Intel i7-3632QM 2.2-3.2 GHz, Ram 8Gb, Geforce 710M Vram 2Gb, Windows 8.1, X-Plane 10.51
OT: Segnalo a chi ama l'arte la nostra rivista/blog online Arte nella Vita http://artenellavita.blogspot.com/
Avatar utente
adler58

Comandante
 
Messaggi: 2472
Iscritto il: 01/12/2011, 20:07
Ha ringraziato: 372 volte
Stato ringraziato: 218 volte

Re: RTH 4 e FlyWithLua 2 con XP 10.51 non vanno…?

Messaggioda Cekko » 21/12/2017, 3:03

SANTO CIELO!!! La vedo ORA la tua cartella zippata! (Ma… scusa, strano che tu ed io non abbiamo una cartella diretta DBox condivisa tra noi! Dovremmo, eh!!)
Comunque, ho svariati backup della versione 10.36, dove funzionava tutto qunto. Ne riprendo una da Time Machine o dai backup fatti a manina, e provo. Chissà che cacchio ho combinato, durante (o subito opo) gli upgrade alla 10.51!! Che palle!!
Dunque, la tua cartella FWL con RTH la tiro giù subito, ma la proverò appena ho un attimo di calma, dopo il maledetto Natale… :occasion5: :salute:
Conoscere i bambini è come conoscere i gatti. Chi non ama i gatti non ama i bambini e non li capisce.
Bruno Munari


iMac 27” (Retina 5K 2017) • Intel Core i7 Quad 4.2 GHz • Radeon Pro 580 — 8 Gb • 40 Gb SDRAM • FD 3 Tb • macOS Sierra
iMac 27” (Mid 2011) • Intel Core i7 Quad 3.4 GHz • AMD Radeon HD 6970M — 2 Gb • 16 Gb SDRAM • SSD 500 Gb/SSHD 2 Tb • macOS Sierra
Saitek Cyborg FLY 5 & Pro Flight Rudder Pedals & Throttle Quadrant • TrackIR v5-LinuxTrack • X-Plane 10 & 11
Avatar utente
Cekko

Comandante Anziano
 
Messaggi: 16834
Iscritto il: 18/12/2004, 17:04
Località: Firenze Sud (ma sempre LIRQ!)
Ha ringraziato: 119 volte
Stato ringraziato: 200 volte


Torna a Velivoli e livree

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite